---
title: "Download Lodgement Document - PDF"
url: "https://developer.pexa.co.uk/apis/lodgement-v1-v1/versions/4cf5cbcd-2fac-43d1-a87a-4c2ddc00ef30/operations/getDocument"
---

> Full API specification: https://developer.pexa.co.uk/apis/lodgement-v1-v1/versions/4cf5cbcd-2fac-43d1-a87a-4c2ddc00ef30.md

# Download Lodgement Document - PDF

`GET` `/partner/api/platformconnect/v1/lodgement-cases/{lodgement_case_id}/documents`

Operation ID: `getDocument`

This API is used to download document content in PDF format from an existing workspace

## Path parameters

- `lodgement_case_id` (string, uuid, required) - Lodgement case id

## Query parameters

- `document_type` (string, required) - Document type Allowed Values: ['TITLE_INFORMATION_DOCUMENT', 'EARLY_COMPLETION_TITLE_INFORMATION_DOCUMENT']

## Header parameters

- `X-Request-Correlation-Id` (string, optional)

## Responses

- `200` - OK
- `400` - BAD REQUEST
- `500` - INTERNAL SERVER ERROR
- `503` - SERVICE UNAVAILABLE

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Lodgement
  version: v1.1.0
servers:
  - url: https://api.pexa.co.uk
    description: API Gateway URL
paths:
  /partner/api/platformconnect/v1/lodgement-cases/{lodgement_case_id}/documents:
    get:
      tags:
        - LodgementCase
      summary: Download Lodgement Document - PDF
      description: This API is used to download document content in PDF format from an
        existing workspace
      security:
        - oauth2:
            - x-api:view:documents
            - view:lodgement_files
      operationId: getDocument
      parameters:
        - in: header
          name: X-Request-Correlation-Id
          schema:
            type: string
            description: The unique identifier for the request
        - name: lodgement_case_id
          in: path
          description: Lodgement case id
          required: true
          schema:
            type: string
            format: uuid
        - in: query
          name: document_type
          description: >
            Document type Allowed Values: ['TITLE_INFORMATION_DOCUMENT',
            'EARLY_COMPLETION_TITLE_INFORMATION_DOCUMENT']
          required: true
          schema:
            type: string
      responses:
        "200":
          description: OK
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
            X-Request-Correlation-Id:
              schema:
                type: string
                description: The unique identifier for the request
          content:
            application/octet-stream:
              schema:
                type: string
                format: binary
                example: >
                  %PDF-1.4 % 1 0 obj << /Type /Catalog /Version /1.7 /Pages 2 0
                  R >> endobj 3 0 obj << /CreationDate (D:20230811125238+00'00')
                  /Producer (openhtmltopdf.com) /Title (Mortgage Deed) >> endobj
                  2 0 obj << /Type /Pages /Kids [4 0 R] /Count 1 >> endobj 4 0
                  obj << /Type /Page /MediaBox [0.0 0.0 595.275 841.875] /Parent
                  2 0 R /Contents 5 0 R /Resources 6 0 R >> endobj 5 0 obj <<
                  /Length 2649 /Filter /FlateDecode >> stream ……… ……… ……… ………
                  endstream endobj 6 0 obj << /Font 7 0 R >> endobj 7 0 obj <<
                  /F1 8 0 R /F2 9 0 R >> endobj 8 0 obj << /Type /Font /Subtype
                  /Type1 /BaseFont /Helvetica /Encoding /WinAnsiEncoding >>
                  endobj 9 0 obj << /Type /Font /Subtype /Type1 /BaseFont
                  /Helvetica-Bold /Encoding /WinAnsiEncoding >> endobj xref 0 10
                  0000000000 65535 f 0000000015 00000 n 0000000192 00000 n
                  0000000078 00000 n 0000000249 00000 n 0000000365 00000 n
                  0000003089 00000 n 0000003122 00000 n 0000003163 00000 n
                  0000003260 00000 n trailer << /Root 1 0 R /Info 3 0 R /ID
                  [<0C3941FE18ED1D13A75215A5CFC207E1>
                  <0C3941FE18ED1D13A75215A5CFC207E1>] /Size 10 >> startxref 3362
                  %%EOF
        "400":
          description: BAD REQUEST
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
            X-Request-Correlation-Id:
              schema:
                type: string
                description: The unique identifier for the request
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                          description: Field
                        message:
                          type: string
                          description: Error message
        "500":
          description: INTERNAL SERVER ERROR
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
            X-Request-Correlation-Id:
              schema:
                type: string
                description: The unique identifier for the request
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                          description: Field
                        message:
                          type: string
                          description: Error message
              example:
                errors:
                  - message: Internal Server Error
        "503":
          description: SERVICE UNAVAILABLE
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
            X-Request-Correlation-Id:
              schema:
                type: string
                description: The unique identifier for the request
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                          description: Field
                        message:
                          type: string
                          description: Error message
              example:
                errors:
                  - message: Service under maintenance
security:
  - oauth2:
      - x-api:view:documents
      - view:lodgement_files
components:
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://login.pexauk.co.uk/oauth/token
          scopes:
            x-api:create:attachments: Create access to the attachments
            x-api:add:workspace_files: Add access to the workspace files
            view:title_documents: View access to the title documents
            x-api:view:documents: View access to the documents
            x-api:approve:lodgement_applications: Approve access to lodgement applications
            x-api:unapprove:lodgement_applications: Unapprove access to lodgement applications
            x-api:submit:lodgement_applications: Submit access to lodgement applications
            x-api:add:lodgement_titles: Add titles to lodgementCase
            view:lodgement_cases: View lodgement cases
            view:lodgement_documents: View lodgement documents
            add:lodgement_files: Add access to the lodgement files
            view:lodgement_files: View access to the lodgement files
            submit:lodgement_applications: Submit access to the lodgement applications
            view:workspaces: View access to the workspaces
```
